org.apache.el.util

## Class ReflectionUtil

- java.lang.Object
- - org.apache.el.util.ReflectionUtil

    public class ReflectionUtil
    extends Object

Utilities for Managing Serialization and Reflection

Author:
  Jacob Hookom [jacob@hookom.net]

### Field Summary

Fields
`protected static String[]` `PRIMITIVE_NAMES`
`protected static Class<?>[]` `PRIMITIVES`

### Method Summary

Methods
`static Class<?>` `forName(String name)`
`protected static Class<?>` `forNamePrimitive(String name)`
`static Method` `getMethod(Object base, Object property, Class<?>[] paramTypes, Object[] paramValues)` Returns a method based on the criteria.
`static Class<?>[]` `toTypeArray(String[] s)` Converts an array of Class names to Class types
`static String[]` `toTypeNameArray(Class<?>[] c)` Converts an array of Class types to Class names

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PRIMITIVE_NAMES

    protected static final String[] PRIMITIVE_NAMES

#### PRIMITIVES

    protected static final Class<?>[] PRIMITIVES

### Method Detail

#### forName

    public static Class<?> forName(String name)
                            throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

#### forNamePrimitive

    protected static Class<?> forNamePrimitive(String name)

#### toTypeArray

    public static Class<?>[] toTypeArray(String[] s)
                                  throws ClassNotFoundException

Converts an array of Class names to Class types

Parameters:
  `s` -
Throws:
  `ClassNotFoundException`

#### toTypeNameArray

    public static String[] toTypeNameArray(Class<?>[] c)

Converts an array of Class types to Class names

Parameters:
  `c` -

#### getMethod

    public static Method getMethod(Object base,
                   Object property,
                   Class<?>[] paramTypes,
                   Object[] paramValues)
                            throws MethodNotFoundException

Returns a method based on the criteria.

Parameters:
  `base` - the object that owns the method
  `property` - the name of the method
  `paramTypes` - the parameter types to use
  `paramValues` - the parameter values
Returns:
  the method specified
Throws:
  `MethodNotFoundException`